# $Revision: 1.14 $, $Date: 2006/09/08 18:04:07 $
Summary:	Common enviroment for Jabber services
Summary(pl):	Wsplne rodowisko dla usug Jabbera
Name:		jabber-common
Version:	0
Release:	7
License:	GPL
Group:		Applications/Communications
BuildRequires:	rpmbuild(macros) >= 1.202
Requires(post):	%{__perl}
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Provides:	group(jabber)
Provides:	user(jabber)
Obsoletes:	jabber-conference
Obsoletes:	jabber-irc-transport
Conflicts:	jabber
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package prepares common environment for Jabber services.

%description -l pl
Ten pakiet przygotowuje wsplne rodowisko dla usug Jabbera.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/var/run/jabber,/etc/jabber,/home/services/jabber}

touch $RPM_BUILD_ROOT%{_sysconfdir}/jabber/secret

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- jabber-common < 0-4
if [ "`echo -n ~jabber`" = "/var/lib/jabber" -o "`echo -n ~jabber`" = "/var/lib/jabberd" ] ; then
	/usr/sbin/usermod -d /home/services/jabber jabber
fi

%pre
%groupadd -g 74 jabber
%useradd -g jabber -d /home/services/jabber -u 74 -s /bin/false jabber

%post
if [ ! -f /etc/jabber/secret ] ; then
	echo "Generating Jabberd component authentication secret..."
	umask 066
	%{__perl} -e 'open R,"/dev/urandom"; read R,$r,16;
		printf "%02x",ord(chop $r) while($r);' > /etc/jabber/secret
fi

%preun
if [ "$1" = 0 ]; then
	rm -f /var/run/jabber/* || :
fi

%postun
if [ "$1" = "0" ]; then
	%userremove jabber
	%groupremove jabber
fi

%files
%defattr(644,root,root,755)
%dir %{_sysconfdir}/jabber
%dir %attr(775,root,jabber) /var/run/jabber
%dir %attr(711,jabber,jabber) /home/services/jabber
%attr(600,root,root) %ghost %{_sysconfdir}/jabber/secret

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jabber-common.spec,v $
Revision 1.14  2006/09/08 18:04:07  glen
- rel 7 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.13  2006/04/14 15:08:31  glen
- rel 6

Revision 1.12  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.11  2005/01/17 07:33:46  djrzulf
- STBR for AC-READY,
- Rel 5,

Revision 1.10  2004/12/17 10:33:45  jajcus
- Release: 4.1
- /home/services/jabber added as $HOME for jabber. ejabberd (ERLang actually) requires writtable $HOME,
  and it is also usefull for jabber administrators.
- trigger fixing $HOME when upgrading from older jabber-common
- /var/run cleaning fixed

Revision 1.9  2004/12/17 08:30:40  djrzulf
- STBR,

Revision 1.8  2004/12/17 06:38:17  djrzulf
- typos,

Revision 1.7  2004/08/31 17:26:47  snurf
- typos

Revision 1.6  2004/08/25 15:27:06  ankry
- removed unnecessary -f from groupadd

Revision 1.5  2004/08/25 10:41:09  ankry
- use %groupremove/%userremove
- more checks while adding user/group
- rel. 3

Revision 1.4  2004/08/08 15:49:10  ankry
- spaces -> tabs

Revision 1.3  2003/12/11 15:53:56  undefine
- release 2 to rebuild with ac

Revision 1.2  2003/10/12 21:38:42  qboosh
- pl, Requires(postun)

Revision 1.1  2003/09/16 11:26:44  jajcus
- common environmet for jabber services in the jabber-common package
